ShotTracker Developer

Unparalleled data set + realtime API = future of sports. Build with live tracking, stats, and broadcast-ready endpoints.

Event API

Base URL: https://api.shottracker.com

/v1/data/schedule/games/matchup

GETGame Schedule Matchup

The matchup endpoint is a more advanced way to find games using either the ShotTracker team ids or other supported identification systems. The endpoint requires the reference and gender query parameters are given for context.

Parameters

NameInTypeRequiredDescription
fromquerynumberYesstarting event scheduled timestamp; epoch UTC milliseconds
toquerynumberNoending event schedule timestamp; epoch UTC milliseconds
team_idquerystringYesID of the team; more than one team query parameter is supported to indicate both teams in the game
referencequerystringYesestablishes the team_id context used by reference supported consumers
genderquerystringYesthe gender of the teams indicated in the team query parameter; values are MEN or WOMEN

Responses

  • 200OK
    {
      "games": [
        {
          "event_id": "062a3726-3b0f-11eb-86c4-02420043683b",
          "facility_name": "ShotTracker Lab",
          "court_name": "main court",
          "location_id": "/6e4118d4-2e50-11e6-b4a4-deecc6e6f586/6e4118d4-2e50-11e6-b4a4-deecc6e6f581",
          "tournament": null,
          "tipoff_at": 1604052000000,
          "gender": "MEN",
          "status": "ACTIVE",
          "home_team_id": 481,
          "home_team_name": "ShotTrackerW",
          "home_team_reference_id": "938104592",
          "away_team_id": 493,
          "away_team_name": "BWB",
          "away_team_reference_id": "938104593",
          "officials_team_id": 0,
          "_results": "https://api.shottracker.com/v1/data/games/cf3ba789-06c4-11e8-bb65-0242286dfad2",
          "reference_id": "938104592",
          "fan_engagement_enabled": false
        }
      ]
    }